=== debian/control ===
Source: ros-noetic-bota-driver-testing
Section: misc
Priority: optional
Maintainer: Bota Systems AG <sw-support@botasys.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-noetic-bota-node, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-rokubimini, ros-noetic-rokubimini-bus-manager, ros-noetic-rokubimini-ethercat, ros-noetic-rokubimini-msgs, ros-noetic-rokubimini-serial, ros-noetic-rosgraph-msgs, ros-noetic-rostest, ros-noetic-rosunit
Homepage: http://wiki.ros.org/bota_driver
Standards-Version: 3.9.2

Package: ros-noetic-bota-driver-testing
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-bota-node, ros-noetic-geometry-msgs, ros-noetic-rokubimini, ros-noetic-rokubimini-bus-manager, ros-noetic-rokubimini-ethercat, ros-noetic-rokubimini-msgs, ros-noetic-rokubimini-serial, ros-noetic-rosgraph-msgs, ros-noetic-rostest
Description: ROS node for communicating with rokubimini sensors
